> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-requests-per-second/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Gets usage data GET https://app.unleash-instance.example.com/api/admin/metrics/rps **Enterprise feature** Gets usage data per app/endpoint from a prometheus compatible metrics endpoint Reference: https://docs.getunleash.io/api/get-requests-per-second ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Response ### 200 requestsPerSecondSegmentedSchema - `clientMetrics` (requestsPerSecondSchema, optional) — Statistics for usage of Unleash, formatted so it can easily be used in a graph - `adminMetrics` (requestsPerSecondSchema, optional) — Statistics for usage of Unleash, formatted so it can easily be used in a graph ## Types ### requestsPerSecondSchema Statistics for usage of Unleash, formatted so it can easily be used in a graph - `status` (enum, optional) — Whether the query against prometheus succeeded or failed - Allowed values: `success`, `failure` - `data` (RequestsPerSecondSchemaData, optional) — The query result from prometheus ### RequestsPerSecondSchemaData The query result from prometheus - `resultType` (enum, optional) — Prometheus compatible result type. - Allowed values: `matrix`, `vector`, `scalar`, `string` - `result` (list of RequestsPerSecondSchemaDataResultItems, optional) — An array of values per metric. Each one represents a line in the graph labeled by its metric name ### RequestsPerSecondSchemaDataResultItems A representation of a single metric to build a line in a graph - `metric` (RequestsPerSecondSchemaDataResultItemsMetric, optional) — A key value set representing the metric - `values` (list of list of RequestsPerSecondSchemaDataResultItemsValuesItemsItems, optional) — An array of arrays. Each element of the array is an array of size 2 consisting of the 2 axis for the graph: in position zero the x axis represented as a number and position one the y axis represented as string ### RequestsPerSecondSchemaDataResultItemsMetric A key value set representing the metric - `appName` (string, optional) — Name of the application this metric relates to - `endpoint` (string, optional) — Which endpoint has been accessed ### RequestsPerSecondSchemaDataResultItemsValuesItemsItems ## Examples **Response** ```json { "clientMetrics": { "status": "success", "data": { "resultType": "vector", "result": [ { "metric": { "appName": "mySdk", "endpoint": "/api/frontend" }, "values": [ [ "string" ] ] } ] } }, "adminMetrics": { "status": "success", "data": { "resultType": "vector", "result": [ { "metric": { "appName": "mySdk", "endpoint": "/api/frontend" }, "values": [ [ "string" ] ] } ] } } } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/metrics/rps" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/metrics/rps'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/metrics/rps" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/metrics/rps") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/metrics/rps") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/metrics/rps', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/metrics/rps"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/metrics/rps")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```